Skip to main content
`Ctrl`+`K`

# MatSeqAIJCUSPARSEGetArrayWrite

gives write access to the array where the device data for a `MATSEQAIJCUSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJCUSPARSEGetArrayWrite(Mat A, PetscScalar **a)

Not Collective

## Input Parameter

- A - a `MATSEQAIJCUSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

Does not trigger host-device copies and flags data validity on the GPU

## See Also

Matrices, `Mat`, `MatSeqAIJCUSPARSEGetArray()`, `MatSeqAIJCUSPARSEGetArrayRead()`, `MatSeqAIJCUSPARSERestoreArrayWrite()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages